CPUINFO2CPUID(1)

NAME
cpuinfo2cpuid

SYNOPSIS
cpuinfo2cpuid

  or

cpuinfo2cpuid -help

  or

cpuinfo2cpuid -vendor=<GenuineIntel|AuthenticAMD> -family=<num> -model=<num> -stepping=<num>

DESCRIPTION
Expects /proc/cpuinfo data on stdin and converts it to cpuid-like HEX data structure suitable as the input for cpuid -f <file> utility. Alternatively, user can specify CPU vendor, family, model and stepping on the command line.

OPTIONS

-help
    Displays a brief help message.

-vendor
    CPU vendor. Can be either GenuineIntel or AuthenticAMD.

-family
    CPU family in decimal notation.

-model
    CPU model in decimal notation.

-stepping
    CPU stepping in decimal notation.

-help
    Displays a brief help message.

LIMITATIONS
Only Intel & AMD cpuinfo data are supported at the moment.

EXAMPLES
cpuinfo2cpuid < /proc/cpuinfo | cpuid -f - | grep '(synth)'

Specifying CPU vendor, family, model and stepping on command line

cpuinfo2cpuid.pl -vendor=GenuineIntel -family=6 -model=58 -stepping=9 | cpuid -f - | grep '(synth)'

AUTHOR
Todd Allen <cpuid@etallen.com>, Jirka Hladky <jhladky@gmail.com>